package com.hzya.frame.seeyon.paybill.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;
import java.util.Map;

/**
 *
 * @content 付款結算單
 * @author laborer
 * @date 2024/6/20 0020 11:07
 *
 */

public class PayBillEntity extends BaseEntity {
private String c_bill_type;//单据类型
private String formCode;//单据号
private String receiptDetailsId;//BIP到款明细主键
private String repaymentDate;//还款日期
private String repaymentType;//还款类型
private String repaymentAmount;//还款金额
private String recType;//还款类型
private String orgCode;//组织编码
private String deptCode;//部门编码
private String fklxName;//付款类型
private String zffsName;//支付方式
private String firstSubject;//科目编码
private String bzjProjectName;//保证金项目名称
private String expirationDate;//投标保证金到期日
private String deptCode2;//归属部门编码
private String isCustomer;//是否运营商客户
private String applyAmount;//申请金额
private String checkedAmount;//财务核实金额
private String comments;//说明
private String creator;//制单人
private String supplierCode;//供应商编码
private String openBank;//开户银行
private String bankAccount;//银行账号
private String dkAmount;//打款金额
private String dkTime;//打款时间
private String isDydj;//是否打印本单据
private String fieldName;//
private String tableName;//
private String formmain_id;//
private String customerAddress;//客户地址
private String linkMan;//联系人
private String bhBeneficiary;//保函受益人
private String beneficiaryPhone;//受益人电话
private String beneficiaryAddress;//受益人地址
private String projectNumber;//工程项目合同/标书号码
private String projectAmount;//工程项目合同/标书总金额
private String bhIndate;//保函有效期
private String bhReceiver;//保函收件人
private String contactType;//联系方式
private String contactAddress;//联系地址
private String bhProjectName;//保函项目名称
private String lastBhDate;//最晚取得保函日期
private String notes;//备注
private String isBh;//是否取得保函原件
private String contactNumber;//联系电话

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getCustomerAddress() {
        return customerAddress;
    }

    public void setCustomerAddress(String customerAddress) {
        this.customerAddress = customerAddress;
    }

    public String getLinkMan() {
        return linkMan;
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public String getBhBeneficiary() {
        return bhBeneficiary;
    }

    public void setBhBeneficiary(String bhBeneficiary) {
        this.bhBeneficiary = bhBeneficiary;
    }

    public String getBeneficiaryPhone() {
        return beneficiaryPhone;
    }

    public void setBeneficiaryPhone(String beneficiaryPhone) {
        this.beneficiaryPhone = beneficiaryPhone;
    }

    public String getBeneficiaryAddress() {
        return beneficiaryAddress;
    }

    public void setBeneficiaryAddress(String beneficiaryAddress) {
        this.beneficiaryAddress = beneficiaryAddress;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectAmount() {
        return projectAmount;
    }

    public void setProjectAmount(String projectAmount) {
        this.projectAmount = projectAmount;
    }

    public String getBhIndate() {
        return bhIndate;
    }

    public void setBhIndate(String bhIndate) {
        this.bhIndate = bhIndate;
    }

    public String getBhReceiver() {
        return bhReceiver;
    }

    public void setBhReceiver(String bhReceiver) {
        this.bhReceiver = bhReceiver;
    }

    public String getContactType() {
        return contactType;
    }

    public void setContactType(String contactType) {
        this.contactType = contactType;
    }

    public String getContactAddress() {
        return contactAddress;
    }

    public void setContactAddress(String contactAddress) {
        this.contactAddress = contactAddress;
    }

    public String getBhProjectName() {
        return bhProjectName;
    }

    public void setBhProjectName(String bhProjectName) {
        this.bhProjectName = bhProjectName;
    }

    public String getLastBhDate() {
        return lastBhDate;
    }

    public void setLastBhDate(String lastBhDate) {
        this.lastBhDate = lastBhDate;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getIsBh() {
        return isBh;
    }

    public void setIsBh(String isBh) {
        this.isBh = isBh;
    }

    public String getRecType() {
        return recType;
    }

    public void setRecType(String recType) {
        this.recType = recType;
    }

    public String getReceiptDetailsId() {
        return receiptDetailsId;
    }

    public void setReceiptDetailsId(String receiptDetailsId) {
        this.receiptDetailsId = receiptDetailsId;
    }

    public String getRepaymentDate() {
        return repaymentDate;
    }

    public void setRepaymentDate(String repaymentDate) {
        this.repaymentDate = repaymentDate;
    }

    public String getRepaymentType() {
        return repaymentType;
    }

    public void setRepaymentType(String repaymentType) {
        this.repaymentType = repaymentType;
    }

    public String getRepaymentAmount() {
        return repaymentAmount;
    }

    public void setRepaymentAmount(String repaymentAmount) {
        this.repaymentAmount = repaymentAmount;
    }

    public String getFormmain_id() {
        return formmain_id;
    }

    public void setFormmain_id(String formmain_id) {
        this.formmain_id = formmain_id;
    }

    public String getC_bill_type() {
        return c_bill_type;
    }

    public void setC_bill_type(String c_bill_type) {
        this.c_bill_type = c_bill_type;
    }

    public String getFormCode() {
        return formCode;
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getFklxName() {
        return fklxName;
    }

    public void setFklxName(String fklxName) {
        this.fklxName = fklxName;
    }

    public String getZffsName() {
        return zffsName;
    }

    public void setZffsName(String zffsName) {
        this.zffsName = zffsName;
    }

    public String getFirstSubject() {
        return firstSubject;
    }

    public void setFirstSubject(String firstSubject) {
        this.firstSubject = firstSubject;
    }

    public String getBzjProjectName() {
        return bzjProjectName;
    }

    public void setBzjProjectName(String bzjProjectName) {
        this.bzjProjectName = bzjProjectName;
    }

    public String getExpirationDate() {
        return expirationDate;
    }

    public void setExpirationDate(String expirationDate) {
        this.expirationDate = expirationDate;
    }

    public String getDeptCode2() {
        return deptCode2;
    }

    public void setDeptCode2(String deptCode2) {
        this.deptCode2 = deptCode2;
    }

    public String getIsCustomer() {
        return isCustomer;
    }

    public void setIsCustomer(String isCustomer) {
        this.isCustomer = isCustomer;
    }

    public String getApplyAmount() {
        return applyAmount;
    }

    public void setApplyAmount(String applyAmount) {
        this.applyAmount = applyAmount;
    }

    public String getCheckedAmount() {
        return checkedAmount;
    }

    public void setCheckedAmount(String checkedAmount) {
        this.checkedAmount = checkedAmount;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getSupplierCode() {
        return supplierCode;
    }

    public void setSupplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
    }

    public String getOpenBank() {
        return openBank;
    }

    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public String getDkAmount() {
        return dkAmount;
    }

    public void setDkAmount(String dkAmount) {
        this.dkAmount = dkAmount;
    }

    public String getDkTime() {
        return dkTime;
    }

    public void setDkTime(String dkTime) {
        this.dkTime = dkTime;
    }

    public String getIsDydj() {
        return isDydj;
    }

    public void setIsDydj(String isDydj) {
        this.isDydj = isDydj;
    }

    private List<PayBillEntity>payBillDetailsEntityList;

    public List<PayBillEntity> getPayBillDetailsEntityList() {
        return payBillDetailsEntityList;
    }

    public void setPayBillDetailsEntityList(List<PayBillEntity> payBillDetailsEntityList) {
        this.payBillDetailsEntityList = payBillDetailsEntityList;
    }

    private String billDate;//付款日期
    private String primalMoney;//付款金额信息
    private String pkOppaccount;//付款银行信息
    private String pkSupplier;//供应商信息

    private String state;//推送状态
    private String pkOrg;//组织
    private String pkCustomer;//客户
    private String pk_oppaccount;//付款账户

    public String getPkCustomer() {
        return pkCustomer;
    }

    public void setPkCustomer(String pkCustomer) {
        this.pkCustomer = pkCustomer;
    }

    public String getPk_oppaccount() {
        return pk_oppaccount;
    }

    public void setPk_oppaccount(String pk_oppaccount) {
        this.pk_oppaccount = pk_oppaccount;
    }

    public String getPkOrg() {
        return pkOrg;
    }

    public void setPkOrg(String pkOrg) {
        this.pkOrg = pkOrg;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getBillDate() {
        return billDate;
    }

    public void setBillDate(String billDate) {
        this.billDate = billDate;
    }

    public String getPrimalMoney() {
        return primalMoney;
    }

    public void setPrimalMoney(String primalMoney) {
        this.primalMoney = primalMoney;
    }

    public String getPkOppaccount() {
        return pkOppaccount;
    }

    public void setPkOppaccount(String pkOppaccount) {
        this.pkOppaccount = pkOppaccount;
    }

    public String getPkSupplier() {
        return pkSupplier;
    }

    public void setPkSupplier(String pkSupplier) {
        this.pkSupplier = pkSupplier;
    }
}
